{
  description = "a653rs-router";

  inputs = {
    fenix = {
      url = "github:nix-community/fenix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { fenix, flake-utils, nixpkgs, ... }: flake-utils.lib.eachSystem [ "x86_64-linux" ] (system:
    let
      pkgs = import nixpkgs { inherit system; };
      rustToolchain = with fenix.packages.${system}; combine [
        latest.rustc
        latest.cargo
        latest.clippy
        latest.rustfmt
        latest.rust-src
        latest.rust-analyzer
        targets.aarch64-unknown-uefi.latest.rust-std
        targets.i686-unknown-uefi.latest.rust-std
        targets.x86_64-unknown-uefi.latest.rust-std
      ];
    in
    {
      devShells.default = pkgs.mkShell {
        packages = [
          pkgs.OVMF
          rustToolchain
        ];
      };
    }
  );
}
